#ifndef GTK_NOTEBOOK_BOX_H
#define GTK_NOTEBOOK_BOX_H


#include <gdk/gdk.h>
#include <gtk/gtk.h>


G_BEGIN_DECLS

#define GTK_TYPE_NOTEBOOK_BOX              (gtk_notebook_box_get_type ())
#define GTK_NOTEBOOK_BOX(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_NOTEBOOK_BOX, GtkNotebookBox))
#define GTK_NOTEBOOK_BOX_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), GTK_TYPE_NOTEBOOK_BOX, GtkNotebookBoxClass))
#define GTK_IS_NOTEBOOK_BOX(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GTK_TYPE_NOTEBOOK_BOX))
#define GTK_IS_NOTEBOOK_BOX_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), GTK_TYPE_NOTEBOOK_BOX))
#define GTK_NOTEBOOK_BOX_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), GTK_TYPE_NOTEBOOK_BOX, GtkNotebookBoxClass))

typedef struct _GtkNotebookBox	  GtkNotebookBox;
typedef struct _GtkNotebookBoxClass  GtkNotebookBoxClass;

struct _GtkNotebookBox
{
  GtkBin bin;
};

struct _GtkNotebookBoxClass
{
  GtkBinClass parent_class;
};

GType	   gtk_notebook_box_get_type           (void) G_GNUC_CONST;
GtkWidget* gtk_notebook_box_new                (void);

G_END_DECLS

#endif
