/***************************************************************************
 *            userutilities.h
 *
 *  Mon Feb 14 02:23:37 2005
 *  Copyright  2005  User
 *  Email
 ****************************************************************************/

#ifndef _USERUTILITIES_H
#define _USERUTILITIES_H

#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include "settings.h"
#include "imuserdaemon.h"
#include "imownerdaemon.h"
#include "gettext.h"
#include "utilities.h"

gchar* uu_getStatusDescription(guint status);
gchar* uu_getFormattedBuddyName(IMUserInfo* info, gboolean addRealName);
gchar* uu_getRealNameOrAlias(IMUserInfo* info, gboolean useFormatted);
gboolean uu_hasCapat(gulong capats, userEventType event);

gboolean uu_openURL(gchar* URL);

gchar* uu_createGaimDnDMimeType(IMUserDaemon* user, gpointer data);
gboolean uu_getFromGaimDnDMimeType(gchar* str, gchar** id, gchar** alias, IMOwnerDaemon** owner, gpointer* data);
void uu_getUserFromDnDInfo(gchar* id, gchar* alias, IMOwnerDaemon* owner, IMUserDaemon** targetUser, IMOwnerDaemon** targetOwner);


void uu_showSendErrorMessage(gchar* title, gchar* beginning, guint result, guint status);
gchar* uu_getSendErrorMessage(guint result, guint status);
#endif /* _USERUTILITIES_H */
